<?php
	$filter_html = new Yab_Filter_Html();

	// appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
?>

<script>

	var existingFai = {};
	var existingFai_1 = {};
	<?php
		
		$faits = $helper_form_interfait->getElement('fai_id_1')->get('options');
		if(!empty($courant_sitefouille_id)){
			$faits = $helper_model_interfait->getTable('Model_Fai')->getAllFaiFromSf($courant_sitefouille_id)->setKey('id')->setValue('identification');
		}
		
		$where = '';
		if(!empty($fai_id))
			$where = 'id != "'.$fai_id.'"';
			
		//Filtres
		
		if(isset($_GET['typefaiSelect']) && !empty($_GET['typefaiSelect'])){
			if(!empty($where))
				$where .= ' && typefai_id ="'.$_GET['typefaiSelect'].'"';
			else
				$where .= 'typefai_id ="'.$_GET['typefaiSelect'].'"';
		}
		
		if(isset($_GET['datationSelect']) && !empty($_GET['datationSelect']) && empty($_GET['datationCourant'])){
			if(!empty($where))
				($_GET['idDatationSelect'] == "deb_fourc_bas_estim") ? $where .= ' && deb_fourc_bas_estim >="'.$_GET['datationSelect'].'"' : $where .= ' && fin_fourc_bas_estim <="'.$_GET['datationSelect'].'"';
			else
				($_GET['idDatationSelect'] == "deb_fourc_bas_estim") ? $where .= 'deb_fourc_bas_estim >="'.$_GET['datationSelect'].'"' : $where .= 'fin_fourc_bas_estim <="'.$_GET['datationSelect'].'"';	
		}
		
		if(isset($_GET['datationCourant']) && !empty($_GET['datationCourant'])){
			if(!empty($where))
				($_GET['idDatationSelect'] == "deb_fourc_bas_estim") ? $where .= ' && deb_fourc_bas_estim >="'.$_GET['datationSelect'].'" && fin_fourc_bas_estim <="'.$_GET['datationCourant'].'"' : $where .= ' && deb_fourc_bas_estim >="'.$_GET['datationCourant'].'" && fin_fourc_bas_estim <="'.$_GET['datationSelect'].'"';		
			else
				($_GET['idDatationSelect'] == "deb_fourc_bas_estim") ? $where .= 'deb_fourc_bas_estim >="'.$_GET['datationSelect'].'" && fin_fourc_bas_estim <="'.$_GET['datationCourant'].'"' : $where .= 'deb_fourc_bas_estim >="'.$_GET['datationCourant'].'" && fin_fourc_bas_estim <="'.$_GET['datationSelect'].'"';		
		}
		
		$faits = $faits->where($where);
		$helper_form_interfait->getElement('fai_id_1')->set('options', $faits);
		
		//Suppression des faits deja ajoutes a la creation 
		if(isset($faitsAssociees)){
			$tabfaits = array();
			foreach ($faits as $i => $fait){	
				$tabfaits[$i] = $fait;
				foreach ($faitsAssociees as $faitAssoc){
					if(!empty($faitAssoc)){			
						if($faitAssoc->get('fai_1_identification') == $fait){
							unset($tabfaits[$i]);	
						}	
					}
				}
			}
			//if(!empty($tabfaits))
			$helper_form_interfait->getElement('fai_id_1')->set('options', $tabfaits);
		}
		
		foreach($helper_form_interfait->getElement('fai_id_1')->get('options') as $id => $value){ ?>
			existingFai["<?php echo addslashes($value) ; ?>"] = "<?php echo $id; ?>";
	<?php } 
		foreach($faits as $ids => $values){ ?>
			existingFai_1["<?php echo addslashes($values) ; ?>"] = "<?php echo $ids; ?>";
	<?php } ?>
	
	function autocom(cle, existingObj, obj, id){
		var usNames = [];
		var usNamesAssoc = [];
		
		for (var key in existingObj){
			usNames.push(key)
		}
		var pfai_us = $("#"+id);

		$("#"+cle+pfai_us.attr('id')).autocomplete({
			maxResults: 10,
			source: function(request, response) {
			
				var usAssociees = pfai_us.data('content');		
				for(var i in usAssociees){
					if(i !== ''){
						usNamesAssoc.push(usAssociees[i][cle]['val']);
					}
				}
				
				for (var i in usNamesAssoc){
					for (var j in usNames){
						if(usNamesAssoc[i] == usNames[j]){
							usNames[j] = "";
						}
					}
				}
				var results = $.ui.autocomplete.filter(usNames, request.term);
				response(results.slice(0, this.options.maxResults));
			},
			select : function(event,ui){
				$(this).attr('key',existingObj[ui.item.value]);
			}
		}).blur(function(){$(this).attr('key',existingObj[$(this).val()]);});
	}
	
	function requiredCompleteField(cleField, existingObj, message, id){
		var pfai_us = $("#"+id);
		$("#"+cleField+pfai_us.attr('id')).isValid(function(){
			if(typeof existingObj[$(this).val()] === 'undefined')
				return message;
			return true;
		});
	}
		
	$(function(){
		autocom("<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id') ?>", existingFai, "fai_id_1", 'relations-fai_fai');		
		requiredCompleteField("<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id') ?>", existingFai_1, "<?php echo $filter_no_html->filter( $i18n -> say('relation_requisIdentifinterfait') ) ?>", 'relations-fai_fai');
	});	 
	 
</script>
		
<div class="col-md-12">
	<div id="fai_fai_identification">
		<input class="col-md-12 field-key-val" type="text"
		   value=""
		   champs="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id'); ?>"
		   id="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id').'relations-fai_fai'; ?>">																	
	</div>		
</div>		
